Skip to main content
GET
/
projects
/
{projectId}
/
posts
Error
A valid request URL is required to generate request examples
{
  "posts": [
    {
      "id": "<string>",
      "post_id": "<string>",
      "project_id": "<string>",
      "account_id": "<string>",
      "platform": "PINTEREST",
      "username": "<string>",
      "state": "SCHEDULED",
      "scheduled_for": "2023-11-07T05:31:56Z",
      "media": [
        {
          "media_id": "<string>",
          "type": "IMAGE",
          "url": "<string>",
          "thumbnail_url": "<string>"
        }
      ],
      "sent_at": "2023-11-07T05:31:56Z",
      "title": "<string>",
      "description": "<string>",
      "first_comment": "<string>",
      "platform_specific_data": {
        "pinterest": {
          "pinterestBoardId": "<string>"
        },
        "instagram": {
          "postType": "POST"
        },
        "facebook": {
          "link": "<string>",
          "postType": "TEXT_ONLY"
        },
        "tiktok": {
          "postType": "VIDEO",
          "privacyLevel": "PUBLIC_TO_EVERYONE",
          "allowComment": true,
          "allowDuet": true,
          "allowStitch": true,
          "contentDisclosureEnabled": true,
          "isYourBrand": true,
          "isBrandedContent": true,
          "autoAddMusic": true
        },
        "youtube": {
          "privacy": "<string>",
          "category": "<string>",
          "tags": [
            "<string>"
          ],
          "madeForKids": true
        }
      },
      "external_post_id": "<string>",
      "external_post_url": "<string>",
      "error_message": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project identifier.

Query Parameters

state
enum<string>

Filter to a single outbound state.

Available options:
SCHEDULED,
SENDING,
SENT,
FAILED
limit
integer<int32>
default:50

Number of items to return. Defaults to 50. Maximum 100.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor for the next page of results.

Response

200 - application/json

Outbound posts for the project.

posts
object[]
required
next_cursor
string

Opaque cursor for the next page of results. Omitted when there are no more results.